Bug 1008038 - Bundled non-free font GeosansLight.ttf
Bundled non-free font GeosansLight.ttf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
rawhide
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-09-13 18:08 EDT by Kevin Kofler
Modified: 2013-09-22 20:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: sddm-0.2.0-0.9.20130821git50ca5b20.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:30:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2013-09-13 18:08:41 EDT
Description of problem:
SDDM bundles 2 copies of the GeosansLight.ttf font:
/usr/share/apps/sddm/themes/maldives/GeosansLight.ttf
/usr/share/apps/sddm/themes/maui/GeosansLight.ttf
in blatant violation of the Fedora font packaging guidelines.

Version-Release number of selected component (if applicable):
sddm-0.2.0-0.6.20130821gite707e229.fc21

How reproducible:
Always

Steps to Reproduce:
1. Check the package contents.

Actual results:
Bundled font (twice, even).

Expected results:
No bundled font.

Additional info:
This should have been a review blocker!

I noticed this going through the heisenbug-kde-theme review, which symlinks to that bundled font (to avoid bundling a third copy, thankfully).
Comment 1 Kevin Kofler 2013-09-13 18:11:33 EDT
In addition, the font is NOT free as in speech, only free as in beer:
http://manfred-klein.ina-mar.com/
and as such is not allowed in Fedora at all.
Comment 2 Martin Bříza 2013-09-13 18:52:55 EDT
Fixed in rawhide, currently building: http://koji.fedoraproject.org/koji/taskinfo?taskID=5933556 . Will see what to do with the other branches and the upstream until Tuesday.
Comment 3 Fedora Update System 2013-09-16 12:29:23 EDT
heisenbug-kde-theme-19.90.3-1.fc20,sddm-0.2.0-0.8.20130821git50ca5b20.fc20,kde-settings-20-2.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/heisenbug-kde-theme-19.90.3-1.fc20,sddm-0.2.0-0.8.20130821git50ca5b20.fc20,kde-settings-20-2.1.fc20
Comment 4 Fedora Update System 2013-09-17 14:15:14 EDT
Package sddm-0.2.0-0.9.20130821git50ca5b20.fc20, heisenbug-kde-theme-19.90.3-1.fc20, kde-settings-20-2.1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.9.20130821git50ca5b20.fc20 heisenbug-kde-theme-19.90.3-1.fc20 kde-settings-20-2.1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16952/heisenbug-kde-theme-19.90.3-1.fc20,sddm-0.2.0-0.9.20130821git50ca5b20.fc20,kde-settings-20-2.1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-22 20:30:54 EDT
sddm-0.2.0-0.9.20130821git50ca5b20.fc20, heisenbug-kde-theme-19.90.3-1.fc20, kde-settings-20-2.1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.